# Mapping_ya_tracker

Перенос задач из Asana в Яндекс Трекер

## Схема маппинга (сопоставление полей при переносе данных json)

| поля json Asana | поля json Яндекс Трекер | Описание поля |
| ------ | ------ | ------ |
| "gid" | "id" | "Идентификатор" |
| "name" | "summary" | "Наименование" |
| "notes" | "descriptions" | "Описание задачи" |
| "created_at" | "createdAt" | "Дата создания задачи" |
| "due_on" | "deadline" | "Срок завершения задачи- дэдлайн" |
| "assignee" | "assignee" | "Логин или идентификатор исполнителя" |

## Бонусом - можно получить ключевую информацию об участниках задач в Asana

- ✨ Name ✨
- ✨ ID (GID - по версии Asana) ✨

## Созданный файл:

| ✨ users.mapping.asana2ya.csv ✨ | выгруженные данные по участникам задач в Asana |

> файл нужен для подгрузки в поле assignee.

## Для подгрузки задач в Яндекс Трекер используются:

- ```bash
    base_url: 'https://api.tracker.yandex.net/v2/issues/_import'
  ```

- headers:
- ✨ 'Host': 'api.tracker.yandex.net' ✨
- ✨ 'Authorization': 'OAuth <token>' ✨
- ✨ 'X-Org-ID': <ID> ✨
- ✨ 'Content-Type': 'appication/json' ✨

## Возможные ответы на запросы:

- ✨ при статусе 201 - 'Задача успешно создана в ЯндексТрекер' ✨
- ✨ в ином случае (при ошибке) - 'Ошибка при создании задачи в ЯндексТрекер:' ✨
